#
# spec file for package python-azure-datalake-store
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-datalake-store
Version:        0.0.30
Release:        lp151.1.1
Summary:        Microsoft Azure Data Lake Store Client Library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-datalake-store/azure-datalake-store-%{version}.tar.gz
Source1:        LICENSE.txt
Patch1:         ads_drop-extras-require.patch
BuildRequires:  %{python_module azure-nspkg}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-adal >= 0.4.2
Requires:       python-azure-nspkg
Requires:       python-cffi
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Data Lake Store Client Library.

Azure Data Lake Store Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package has been tested with Python 2.7, 3.3, 3.4 and 3.5.

%prep
%setup -q -n azure-datalake-store-%{version}
%patch1 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-datalake-store-%{version}
%python_build

%install
%python_install
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
rm -rf %{buildroot}%{$python_sitelib}/samples/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/samples/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY.rst README.rst
%license LICENSE.txt
%{python_sitelib}/azure/datalake/
%{python_sitelib}/samples/
%{python_sitelib}/azure_datalake_store-*.egg-info

%changelog
* Mon Sep  3 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.0.30
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Drop obsolete patches for new version
  + ads_drop-compatible-releases-operator.patch
- Refresh patches for new version
  + ads_drop-extras-require.patch
- Update Requires from setup.py
* Tue Apr 24 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.0.19
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Move LICENSE.txt from %%doc to %%license section
- Update Requires from setup.py
* Fri Jan 26 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.0.17
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst into doc directory
* Thu Oct  5 2017 adrian.glaubitz@suse.com
- Remove versioning for namespace packages in Requires
- Add namespace packages to BuildRequires
- Remove namespace files in %%install target
- Explicitly specify Python files of the package in %%files
* Tue Sep 12 2017 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.0.16
* Wed Jul 26 2017 adrian.glaubitz@suse.com
- Add python-azure-nspkg to Requires
* Wed Jul 26 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 0.0.14
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + ads_drop-compatible-releases-operator.patch
- Add patch to drop extras_require field from setup.py,
  required for SLES12 as the setuptools version is too old
  + ads_drop-extras-require.patch
